# Tusk

A modern terminal-based Markdown editor with real-time preview.

![Version](https://img.shields.io/badge/version-0.1.1-blue)
![Python](https://img.shields.io/badge/python-3.10+-blue)
![License](https://img.shields.io/badge/license-MIT-green)

![tusk-logo](assets/tusk-logo.png)

## Table of Contents

- [Tusk](#tusk)
  - [Table of Contents](#table-of-contents)
  - [Features](#features)
  - [Installation](#installation)
    - [Via pip](#via-pip)
    - [From source](#from-source)
  - [Usage](#usage)
    - [Key Bindings](#key-bindings)
  - [Contributing](#contributing)
  - [License](#license)



## Features

- Real-time Markdown preview
- Auto-completion for Markdown syntax
- Auto-save functionality
- Multiple theme support
- Adjustable split-view layout
- Table of Contents generation
- Export to HTML, PDF, and DOCX
- Command palette

## Installation

### Via pip
```bash
pip install tusk-editor
```

### From source

```bash
git clone https://github.com/vedant-asati03/tusk.git
cd tusk
pip install -e .
```

## Usage

To start the editor:
```bash
tusk filename.md
```

### Key Bindings

- `Ctrl+S`: Save file
- `Ctrl+P`: Open command palette
- `Ctrl+B`: Toggle sidebar
- `Ctrl+L`: Expand input-box
- `Ctrl+Q`: Shrink input-box

## Contributing
Feel free to contribute by forking the repo and submitting a pull request! 🚀

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.